core::net::http::Request::Handler Class Reference

Encapsulates callbacks that can happen during request execution. More...

`#include <request.h>`

Collaboration diagram for core::net::http::Request::Handler:

## Public Member Functions

| Handler ()=default
const ProgressHandler & | on_progress () const
| Returns the currently set progress handler.
Handler & | on_progress (const ProgressHandler &handler)
| Adjusts the currently set progress handler.
const ResponseHandler & | on_response () const
| Returns the currently set response handler.
Handler & | on_response (const ResponseHandler &handler)
| Adjusts the currently set response handler.
const ErrorHandler & | on_error () const
| Returns the currently set error handler.
Handler & | on_error (const ErrorHandler &handler)
| Adjusts the currently set error handler.

## Detailed Description

Encapsulates callbacks that can happen during request execution.

Definition at line 119 of file request.h.

## Constructor & Destructor Documentation

## Handler()

core::net::http::Request::Handler::Handler | ( |  | ) |

default

Referenced by on_error(), on_progress(), and on_response().

## Member Function Documentation

## on_error() [1/2]

const ErrorHandler & core::net::http::Request::Handler::on_error | ( |  | ) | const

Returns the currently set error handler.

## on_error() [2/2]

Handler & core::net::http::Request::Handler::on_error | ( | const ErrorHandler & | handler | ) |

Adjusts the currently set error handler.

References Handler().

Here is the call graph for this function:

## on_progress() [1/2]

const ProgressHandler & core::net::http::Request::Handler::on_progress | ( |  | ) | const

Returns the currently set progress handler.

## on_progress() [2/2]

Handler & core::net::http::Request::Handler::on_progress | ( | const ProgressHandler & | handler | ) |

Adjusts the currently set progress handler.

References Handler().

Here is the call graph for this function:

## on_response() [1/2]

const ResponseHandler & core::net::http::Request::Handler::on_response | ( |  | ) | const

Returns the currently set response handler.

## on_response() [2/2]

Handler & core::net::http::Request::Handler::on_response | ( | const ResponseHandler & | handler | ) |

Adjusts the currently set response handler.

References Handler().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- request.h